#![feature(let_chains)]

pub mod ccp;
pub mod dce;
pub mod editor;
pub mod fork_guard_elim;
pub mod forkify;
pub mod gvn;
pub mod interprocedural_sroa;
pub mod inline;
pub mod pass;
pub mod phi_elim;
pub mod pred;
pub mod sroa;

pub use crate::ccp::*;
pub use crate::dce::*;
pub use crate::editor::*;
pub use crate::fork_guard_elim::*;
pub use crate::forkify::*;
pub use crate::gvn::*;
pub use crate::interprocedural_sroa::*;
pub use crate::inline::*;
pub use crate::pass::*;
pub use crate::phi_elim::*;
pub use crate::pred::*;
pub use crate::sroa::*;
