#![feature(future_join)]

extern crate async_std;
extern crate hercules_rt;
extern crate juno_build;

juno_build::juno!("simple3");

fn main() {
    async_std::task::block_on(async {
        let mut a = vec![1, 2, 3, 4, 5, 6, 7, 8];
        let mut b = vec![8, 7, 6, 5, 4, 3, 2, 1];
        let c = unsafe { simple3(a.as_mut_ptr(), b.as_mut_ptr(), 8).await };
        println!("{}", c);
        assert_eq!(c, 120);
    });
}

#[test]
fn simple3_test() {
    main();
}
