extern crate async_std;
extern crate clap;
extern crate juno_build;

juno_build::juno!("dot");

fn main() {
    async_std::task::block_on(async {
        let mut a = vec![0.0, 1.0, 0.0, 2.0, 0.0, 3.0, 0.0, 4.0];
        let mut b = vec![0.0, 5.0, 0.0, 6.0, 0.0, 7.0, 0.0, 8.0];
        let c = unsafe { dot(a.as_mut_ptr(), b.as_mut_ptr(), 8).await };
        println!("{}", c);
        assert_eq!(c, 70.0);
    });
}

#[test]
fn dot_test() {
    main();
}
